{% extends 'layouts/base.html.twig' %}

{% block title parent() ~ ' . show' %}

{% block body %}
	<header class="container-banner" role="banner">
		<img class="img-home" src="{{asset('build/images/home_img.jpg')}}" alt="bannière de présentation">
		<h1 class="title-eventbrote">EVENBROTE</h1>
	</header>
	<div class="container card-home-events">
		<div class="row mt-0 mb-0">
			{% if app.request.attributes.get('_route') == 'app_events' or app.request.attributes.get('_route') == 'app_home' %}
				<div class="col pb-0 pt-5 ">
					<h2 class="ms-4">{{ pluralize(events|length, 'évènement')}}
						à venir</h2>
				</div>
				<div class="col pb-0 pt-5 fs-4 me-4 text-end">
					<a href="{{path('app_pastEvents')}}">Display Past Events</a>
				</div>
			{% else %}
				<div class="col pb-0 pt-5">
					<h2 class="ms-4">{{ pluralize(events|length, 'évènement') }}
						{{events|length <= 1 ? ' passé' : ' passés'}}</h2>
				</div>
				<div class="col pb-0 pt-5 fs-4 me-4 text-end">
					<a href="{{path('app_events')}}">Display Coming Up Events</a>
				</div>
			{% endif %}
		</div>

		<div class="container-fluid row row-cols-1 row-cols-md-2 row-cols-lg-3 g-3 mt-0 pe-0  mb-5 pb-5">
			{% for event in events %}
				<article class="col">
					<div class="card opacity-100 h-100">
						<a href="{{path('app_show', {'id': event.id})}}">
							<img src="{{asset('build/images/events/' ~ event.imageFileName)}}" class="card-img-top" alt="{{event.name}}">
						</a>
						<div class="card-body">
							<h3 class="card-title">{{event.name}}</h3>

							{% if event.IsSoldeOut %}
								<p class="d-grid btn btn-danger text-uppercase mb-3">⛔ &nbsp;&nbsp;&nbsp;&nbsp;Solde out !</p>
							{% else %}
								<h5 class="text-muted mb-4">{{pluralize(event.capacity, 'spot')}}
									&bull; Price :
									{{ format_price(event) | raw }}</h5>
							{% endif %}


							<p class="card-text">{{ event.description|u.truncate(135, '' , false)|raw }}
								<a href="{{path('app_show', {'id': event.id})}}">see more</a>
							</p>
							<p class="card-text">
								<img src="{{asset('build/images/icons/location.svg')}}" alt="locate event">

								<smal class="text-muted">

									{{event.location}}</smal>
							</p>
							<p class="card-text">
								<img src="{{asset('build/images/icons/calendar.svg')}}" alt="locate event">

								<smal class="text-muted">On :
									{{event.startAt|datetime}}
								</smal>
							</p>
						</div>
					</div>
				</article>

			{% else %}
				<h2>No events yet. Thay's realy sad !</h2>
			{% endfor %}
		</div>
	</div>
{% endblock %}
